<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.system.dal.mysql.log.RobotTaskTimeConsumingMapper">

    <!--通过主键修改数据-->
    <update id="updateEntity">
        update robot_task_time_consuming
        <set>
            <if test="taskNo != null and taskNo != ''">
                task_no = #{taskNo},
            </if>
            <if test="taskDetailId != null">
                task_detail_id = #{taskDetailId},
            </if>
            <if test="fromLocationStorey != null">
                from_location_storey = #{fromLocationStorey},
            </if>
            <if test="toLocationStorey != null">
                to_location_storey = #{toLocationStorey},
            </if>
            <if test="fromLocationNo != null and fromLocationNo != ''">
                from_location_no = #{fromLocationNo},
            </if>
            <if test="toLocationNo != null and toLocationNo != ''">
                to_location_no = #{toLocationNo},
            </if>
            <if test="totalDistance != null and totalDistance != ''">
                total_distance = #{totalDistance},
            </if>
            <if test="totalTimeConsuming != null and totalTimeConsuming != ''">
                total_time_consuming = #{totalTimeConsuming},
            </if>
            <if test="checkDistance != null and checkDistance != ''">
                check_distance = #{checkDistance},
            </if>
            <if test="checkTimeConsuming != null and checkTimeConsuming != ''">
                check_time_consuming = #{checkTimeConsuming},
            </if>
            <if test="pickTimeConsuming != null and pickTimeConsuming != ''">
                pick_time_consuming = #{pickTimeConsuming},
            </if>
            <if test="dropTimeConsuming != null and dropTimeConsuming != ''">
                drop_time_consuming = #{dropTimeConsuming},
            </if>
            <if test="creator != null and creator != ''">
                creator = #{creator},
            </if>
            <if test="createTime != null">
                create_time = #{createTime},
            </if>
            <if test="updater != null and updater != ''">
                updater = #{updater},
            </if>
            <if test="updateTime != null">
                update_time = #{updateTime},
            </if>
            <if test="deleted != null">
                deleted = #{deleted},
            </if>
            <if test="robotNo != null and robotNo != ''">
                robot_no = #{robotNo},
            </if>
        </set>
        where task_detail_id = #{taskDetailId}
    </update>
</mapper>